### Method

# Foundry Config supports_sdk

since: 1.1

#### Declaration [src]

    gboolean
    foundry_config_supports_sdk (
      FoundryConfig* self,
      FoundrySdk* sdk
    )

#### Description [src]

Checks if the configuration supports the given SDK.

This allows configurations to restrict which SDKs they can use. By default, all configurations support all SDKs, but subclasses can override this behavior.

Available since: 1.1

#### Parameters

`sdk`

  Type: `FoundrySdk`

  A `FoundrySdk`.

  The data is owned by the caller of the method.

#### Return value

Type: `gboolean`

`TRUE` if `self` supports `sdk`, `FALSE` otherwise.